const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const faqs = sequelize.define(
    'faqs',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

question: {
        type: DataTypes.TEXT,
      
      

      },

answer: {
        type: DataTypes.TEXT,
      
      

      },

sort_order: {
        type: DataTypes.INTEGER,
      
      

      },

is_published: {
        type: DataTypes.BOOLEAN,
      
        allowNull: false,
        defaultValue: false,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  faqs.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity
















//end loop



    db.faqs.belongsTo(db.services, {
      as: 'service',
      foreignKey: {
        name: 'serviceId',
      },
      constraints: false,
    });




    db.faqs.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.faqs.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return faqs;
};


